com.here.msdkui.guidance

## Class GuidanceEstimatedArrivalViewPresenter

- java.lang.Object
- - com.here.msdkui.guidance.base.BaseGuidancePresenter
  - - com.here.msdkui.guidance.GuidanceEstimatedArrivalViewPresenter

-     public class GuidanceEstimatedArrivalViewPresenter
      extends BaseGuidancePresenter

  This class creates `GuidanceEstimatedArrivalViewData` instances during guidance and notifies it's listeners about that.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuidanceEstimatedArrivalViewPresenter(com.here.android.mpa.guidance.NavigationManager navigationManager)` Constructs a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addListener(GuidanceEstimatedArrivalViewListener listener)` Adds a `GuidanceEstimatedArrivalViewListener`.
    `protected void` | `handlePositionUpdate()`
    `void` | `removeListener(GuidanceEstimatedArrivalViewListener listener)` Remove a `GuidanceEstimatedArrivalViewListener`.

    - ### Methods inherited from class com.here.msdkui.guidance.base.BaseGuidancePresenter

      `disableSpeedWarnings, enableSpeedWarnings, getAfterNextManeuver, getDestinationDistance, getEta, getNextManeuver, getNextManeuverDistance, getRoute, getTimeToArrival, handleGpsLost, handleGpsRestore, handleManeuverEvent, handleNewInstructionEvent, handleRerouteBegin, handleRerouteEnd, handleRerouteFailed, handleSpeedExceeded, handleSpeedExceededEnd, pause, resume, setRoute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GuidanceEstimatedArrivalViewPresenter

          public GuidanceEstimatedArrivalViewPresenter(com.here.android.mpa.guidance.NavigationManager navigationManager)

      Constructs a new instance.
      Parameters:
        `navigationManager` - a `NavigationManager` to be used for guidance handling.

  - ### Method Detail

    - #### handlePositionUpdate

          protected void handlePositionUpdate()

      Overrides:
        `handlePositionUpdate` in class `BaseGuidancePresenter`

    - #### addListener

          public void addListener(GuidanceEstimatedArrivalViewListener listener)

      Adds a `GuidanceEstimatedArrivalViewListener`.
      Parameters:
        `listener` - the listener to add to the list of listeners.

    - #### removeListener

          public void removeListener(GuidanceEstimatedArrivalViewListener listener)

      Remove a `GuidanceEstimatedArrivalViewListener`.
      Parameters:
        `listener` - the listener to remove from the list of listeners.